function [ab_names, concs, plates] = d300_import_conc2(xlsname)
% importing the fluid names data
t = readcell(xlsname, 'Sheet', 'Fluids');
tmp_names = t(2:find(cellfun(@(x) all(ismissing(x)), (t(:,2))),1)-1,2);
clear t;
% importing the concs data
n = readmatrix(xlsname, 'Sheet', 'Tabular');
r = readcell(xlsname, 'Sheet', 'Tabular');
h = r(1,:);
b = r(2:end,:);
clear r;
concs_tmp = n(:,1+find(ismember(h, 'Concentration')) : find(ismember(h, 'DMSO %'))-1);
concs_tmp(isnan(concs_tmp)) = 0;
plate_col = find(ismember(h, 'Plate'));
plates = unique(cell2mat(b(:,plate_col)));

% if numel(tmp_names) > 2
%     ab_names = {'RIF'
%         'TET'
%         'CHL'
%         'ERY'
%         'FUS'
%         'CIP'
%         'CEF'
%         'SMX'
%         'TMP'
%         'PHL'};
%     
%     [ord, ~] = find(strcmp(repmat(tmp_names,1,10), repmat(ab_names',10,1)));
%     concs = concs_tmp(:, ord);
% else
    concs = concs_tmp;
    ab_names = tmp_names;
% end