function Nf = ampc_calc_Nf(Cv, Ni, IC, H, t_smp)

a = real(1 ./ (1+(Cv./IC).^H) );
t = zeros(size(Cv)) ;
for i = 1:size(Cv,2)
    fsat = @(tf) sum(Ni .* exp(a(:,i)*tf),1) - 1;
    if fsat(t_smp)<0
        t(i) = t_smp;
    else
        amx = max(a(:,i));
        t(i) = fzero(fsat,[-log(sum(Ni))./amx/2 t_smp]) ;
    end
end
% t
Nf = Ni .* exp(a.*t) ;
% Nf_e = Nf./sum(Nf);