function main_ampc_final(usr_path)

%% analyze mutants frequency
[var, mp_all] = ampc_set_var(usr_path);
mage(1) = fcn_ana_ampc_seq(var(1), mp_all, 1);
mage(2) = fcn_ana_ampc_seq(var(2), mp_all, 2);
%% calculate IC of all strains
IC_struct = Run_fit_IC_final(mp_all, mage);
%% plot paper figures
ampc_plot_fig_2(mp_all);
ampc_plot_fig_3(mp_all);
ampc_plot_fig_4(mp_all);
ampc_plot_fig_5(mp_all);

ampc_supp_6_fit_results(IC_struct, [mp_all 'Fig\Supp\']);
end
