function reads = d300_xml_parse(fn)

st = fileread(fn);

pa2 = '.<Well Pos="(\w{1})(\d{1,2})".'; 
pa1 = '.LabelId="1" Status="Measured">(.{1,6})</Single>.';

q1 = cellfun(@(x) str2double(x{1}), regexpi(st, pa1, 'tokens'))';

nw = numel(q1);

s = cellfun(@(x) ((x{1}-65)*sqrt(nw*1.5)+str2double(x{2})), regexp(st,pa2, 'tokens'));

reads = reshape(q1(s), sqrt(nw*1.5), sqrt(nw/1.5));