function ar = draw_arrow(ax, x, y, col)

axp = get(ax,'Position');

if strcmp(ax.XScale, 'log')
    xl = log(ax.XLim);
    x = log(x);
else
    xl = ax.XLim;
end

if strcmp(ax.YScale, 'log')
    yl = log(ax.YLim);
    y = log(y);
else
    yl = ax.YLim;
end

scx = xl(2)-xl(1);
stx = xl(1);

scy = yl(2)-yl(1);
sty = yl(1);

% determine startpoint and endpoint for the arrows 
x_a=axp(1) + (x-stx)/scx*axp(3);

y_a=axp(2) + (y-sty)/scy*axp(4);

% make the arrows
ar = annotation('arrow', x_a, y_a, 'color', col, 'linewidth', 2);

